#ifndef QT4URPMI_H
#define QT4URPMI_H

#include <QMainWindow>
#include <QtCore>
#include <QtGui>
#include <unistd.h>

namespace Ui
{
    class qt4urpmi;
}

class qt4urpmi : public QMainWindow
{
    Q_OBJECT

public:
    qt4urpmi(QWidget *parent = 0);
    ~qt4urpmi();
    int i;


public slots:
    void startseach();
    void ready();
    void finish();
    void mark(int r, int c);
    void install();
    void remove();

protected:
    void contextMenuEvent(QContextMenuEvent *event);

private:
    int r ;
    int c ;
    int reihe;
    int spalte;
    Ui::qt4urpmi *ui;
    QString searchstring;
    QString strRemove;
    QTableWidgetItem *newItem;
    QLabel lbl;
    QPushButton *but1;
    uid_t uid;
    void createMenus();
    void createActions();

    QAction *installAction;
    QAction *removeAction;


    QProcess proc;



};

#endif // QT4URPMI_H
